#pragma once

#include <frostbite2D/graphics/camera.h>
#include <frostbite2D/scene/scene.h>

namespace frostbite2D {

class UIScene : public Scene {
public:
  UIScene();
  ~UIScene() override = default;

  Camera* GetCamera() { return &camera_; }
  const Camera* GetCamera() const { return &camera_; }

private:
  Camera camera_;
};

} // namespace frostbite2D
